## ros-rolling-sdl2-vendor 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(sdl2_vendor)

option(FORCE_BUILD_VENDOR_PKG
  "Build SDL2 from source, even if system-installed package is available"
  OFF)

find_package(ament_cmake REQUIRED)

if(NOT FORCE_BUILD_VENDOR_PKG)
  list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
  find_package(sdl2_custom QUIET)
endif()

if(NOT SDL2_FOUND)
  include(ExternalProject)
  ExternalProject_Add(SDL2-2.0.14
    PREFIX SDL2-2.0.12
    URL https://www.libsdl.org/release/SDL2-2.0.14.tar.gz
    URL_MD5 76ed4e6da9c07bd168b2acd9bfefab1b
    CMAKE_ARGS
      -DBUILD_SHARED_LIBS=ON
      -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/SDL2
      -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
      -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
      -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
      -DSDL_ATOMIC=OFF
      -DSDL_AUDIO=OFF
      -DSDL_VIDEO=ON     # On, needed to link on Windows
      -DSDL_RENDER=ON    # On, needed to link on Windows
      -DSDL_EVENTS=ON    # On, dependency of joystick
      -DSDL_JOYSTICK=ON  # On, we are using this
      -DSDL_HAPTIC=ON    # On, we are using this
      -DSDL_POWER=ON     # On, dependency of joystick
      -DSDL_THREADS=OFF
      -DSDL_TIMERS=ON    # On, we need timers to work
      -DSDL_FILE=ON      # On, we need to build on macOS
      -DSDL_LOADSO=ON    # On, needed to link on Windows
      -DSDL_CPUINFO=OFF
      -DSDL_FILESYSTEM=OFF
      -DSDL_DLOPEN=ON   # On, dependency of joystick
      -DSDL_SENSOR=ON   # On, dependency of joystick
    INSTALL_DIR "${CMAKE_CURRENT_BINARY_DIR}/SDL2"
    PATCH_COMMAND
      ${CMAKE_COMMAND} -E chdir <SOURCE_DIR> git apply -p1 --ignore-space-change --whitespace=nowarn ${CMAKE_CURRENT_SOURCE_DIR}/sdl2-windows-add-vcruntime.patch
    )

  # The external project will install to the build folder, but we'll install that on make install.
  install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/SDL2/ DESTINATION ${CMAKE_INSTALL_PREFIX})
endif()

install(DIRECTORY cmake DESTINATION share/${PROJECT_NAME})

ament_package(
  CONFIG_EXTRAS "sdl2_vendor-extras.cmake"
)

=== debian/changelog ===
ros-rolling-sdl2-vendor (3.1.0-3jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Jan 2022 08:00:00 -0000

ros-rolling-sdl2-vendor (3.0.1-3jammy) jammy; urgency=high

  * Update SDL2 vendored library to 2.0.14. (#202 <https://github.com/ros-drivers/joystick_drivers/issues/202>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Jan 2022 08:00:00 -0000

ros-rolling-sdl2-vendor (3.0.0-3jammy) jammy; urgency=high

  * Use INTERFACE_LINK_OPTIONS in sdl2_vendor (#195 <https://github.com/ros-drivers/joystick_drivers/issues/195>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 12 Mar 2021 08:00:00 -0000

ros-rolling-sdl2-vendor (2.4.1-3jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-sdl2-vendor (2.4.0-3jammy) jammy; urgency=high

  * Cross platform joystick support for ROS 2 (#157 <https://github.com/ros-drivers/joystick_drivers/issues/157>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-sdl2-vendor
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libsdl2-dev, ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-sdl2-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl2-dev, ros-rolling-ros-workspace
Description: Vendor library for SDL2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-sdl2-vendor//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
